Bug 423 - fail load profiles with international charset
fail load profiles with international charset
Status: VERIFIED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Extended Characters
3.0.0preX
Other other
: P3 major
: none
Assigned To: Alexander Bokovoy
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-09 06:12 UTC by Ignacio Coupeau
Modified: 2005-02-07 09:06 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ignacio Coupeau 2003-09-09 06:12:04 UTC
Until now (rc2, unix charset = "CP850"), the load of the prfiles runs as a
charm, but with the rc3, I found that the diacritic (accents) stuff in
profilepath are broken. Until now (rc2) I don't require any conversion in the
filenames (to iso8859-15 charset)... Is it now required?

--- debug 1----
[2003/09/09 14:40:16, 1] smbd/service.c:make_connection_snum(696)
  e46 (159.237.118.202) connect to service profiles initially as user 111111-1
(uid=20030, gid=202) (pid 655)
[2003/09/09 14:40:16, 0] smbd/statcache.c:stat_cache_add(122)
  OOPS - tried to store stat cache entry for werid length paths [PRN2/MENÚ] 9
and [prn2/Men£ Inicio] 16)!
[2003/09/09 14:40:16, 0] smbd/statcache.c:stat_cache_add(122)
  OOPS - tried to store stat cache entry for werid length paths
[PRN2/SENDTO/DISCO DE 3½] 23 and [prn2/SendTo/Disco de 3« (A).lnk] 3
1)!
---------------
--- debug 3----
[2003/09/09 14:57:38, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/prn1/Escritorio/*]
[2003/09/09 14:57:38, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [prn1/Escritorio/*]
[2003/09/09 14:57:38, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [prn1/Escritorio]
[2003/09/09 14:57:38, 3] smbd/dir.c:dptr_create(490)
  creating new dirptr 257 for path prn1/Escritorio, expect_close = 1
[2003/09/09 14:57:38, 3] smbd/process.c:process_smb(890)
  Transaction 38 of length 41
[2003/09/09 14:57:38, 3] smbd/process.c:switch_message(685)
  switch message SMBfindclose (pid 760)
[2003/09/09 14:57:38, 3] smbd/trans2.c:reply_findclose(3341)
  reply_findclose, dptr_num = 257
[2003/09/09 14:57:38, 3] smbd/trans2.c:reply_findclose(3347)
  SMBfindclose dptr_num = -3
[2003/09/09 14:57:38, 3] smbd/process.c:process_smb(890)
  Transaction 39 of length 76
[2003/09/09 14:57:38, 3] smbd/process.c:switch_message(685)
  switch message SMBchkpth (pid 760)
[2003/09/09 14:57:38, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [/prn1/Men£ Inicio]
[2003/09/09 14:57:38, 3] lib/charcnv.c:convert_string_internal(209)
  convert_string_internal: Conversion error: Illegal multibyte
sequence(7W"^HÈÜÿ¿MV0@)
[2003/09/09 14:57:38, 3] lib/charcnv.c:convert_string_internal(209)
  convert_string_internal: Conversion error: Illegal multibyte sequence(~Hßÿ¿9)
[2003/09/09 14:57:38, 0] smbd/statcache.c:stat_cache_add(122)
  OOPS - tried to store stat cache entry for werid length paths [PRN1/MENÚ] 9
and [prn1/Men£ Inicio] 16)!
[2003/09/09 14:57:38, 3] lib/util.c:unix_clean_name(580)
  unix_clean_name [prn1/Men£ Inicio]
Comment 1 Ignacio Coupeau 2003-09-09 08:13:32 UTC
I tested with the "iconv -f cp850 -t iso8859-1" filter applied to filenames and
don't fix the error.
BTW, I going to  send a re-write from  Samba-Howto 27.4 (p. 324) Steve Langasek
 script because fails.
Comment 2 Ignacio Coupeau 2003-09-10 03:22:11 UTC
fixed by Jeremy yesterday.
I downloaded the CVS and tested: OK.
Comment 3 Alexander Bokovoy 2003-09-10 06:08:28 UTC
Fixed in SAMBA_3_0 by JRA
Comment 4 Gerald (Jerry) Carter 2005-02-07 09:06:15 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.